<template>
  <h1>Flexbox</h1>

  <p>
    Make a flexbox with <code>.-flex</code> and use variants to customize it.
  </p>

  <div class="-flex">
    <div v-for="i in 8" :key="i" class="-doc-outline">Flex cell {{ i }}</div>
  </div>

  <h2>Cell classes</h2>
  <p>Grow the cell with <code>.-flex--grow</code></p>

  <div class="-flex">
    <div v-for="i in 3" :key="i" :class="`-doc-outline ${i%2===0 ? '-flex--grow' : ''}`">
      Flex cell {{ i }}
      {{ i % 2 === 0 ? '(with .-flex--grow)' : '' }}
    </div>
  </div>

  <h2>Variants</h2>
  <template v-for="variant in flexVariants" :key="variant">
    <h3><code>{{ variant }}</code></h3>

    <div :class="`-flex ${variant}`">
      <div v-for="i in 8" :key="i" class="-doc-outline">Flex cell {{ i }}</div>
    </div>
  </template>

  <h2>Inline flexboxes</h2>
  <p>Use <code>.-inline-flex</code> to create an inline flexbox.</p>

  <p>
    Exemple: Lorem ipsum dolor
    <span class="-inline-flex">
      <span class="-doc-outline">sit amet,<br>consectetur</span>
      <span class="-doc-outline">adipisicing elit</span>
    </span>
    adipisicing elit. Asperiores blanditiis doloribus dolorum ea eius est excepturi explicabo facilis harum incidunt, minus obcaecati, porro quia rem, sequi sit unde veritatis vitae?
  </p>

  <h2>Other helpers</h2>

  <ul>
    <li><code>.-align-self-end</code>: Aligns the item at the end of the flex container</li>
  </ul>
</template>

<script>
const flexVariants = [
  '-flex--gap',
  '-flex--center',
  '-flex--right',
]

export default {
  name: 'FlexboxView',
  data () {
    return {
      flexVariants,
    }
  },
  created () {
    this.$setTitle('Flexbox')
  },
}
</script>
